Foreman - Bug #3001

host facts do not allow search by id (just by name)
08/30/2013 02:38 PM - Martin Bacovsky

Status: Closed

Priority: Normal

Assignee: Daniel Lobato Garcia

Category: API

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

This is issue probably in api or routes and needs further investigation. --id was temporarily disabled

Associated revisions

Revision e44f5c1c - 03/04/2014 11:55 AM - Daniel Lobato Garcia

fixes #3001 - Facts searchable by both host id and name

History

#1 - 10/16/2013 04:13 PM - Dominic Cleal
- Project changed from Foreman to Hammer CLI

- Category deleted (44)

#2 - 02/06/2014 12:16 PM - Dominic Cleal

- Target version set to 1.9.1

#3 - 02/13/2014 10:07 AM - Daniel Lobato Garcia

"results": {
"myhost.localdomain.1": {
"afact": "23"

}
"myhost2.localdomain.1": {
"afact": 24
}
}

is the current way facts come from the API, so there is certainly no way of using the ID to search in Hammer without changing the API.

#4 - 02/13/2014 11:20 PM - Daniel Lobato Garcia
- Project changed from Hammer CLI to Foreman

- Category set to API

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

https://github.com/theforeman/foreman/pull/1238

Moving this to Foreman as the problem comes from the API, not Hammer.

#5 - 02/25/2014 09:09 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 03/03/2014 12:47 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0
https://github.com/theforeman/foreman/pull/1238

#7 - 03/04/2014 01:31 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e44f5c1c08d3f332b13fadd442dd754597db2b90.

05/11/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e44f5c1c08d3f332b13fadd442dd754597db2b90
http://www.tcpdf.org

